petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFType

String with the name of a PetscSF type

### Synopsis

    typedef const char *PetscSFType;
    #define PETSCSFBASIC      "basic"
    #define PETSCSFNEIGHBOR   "neighbor"
    #define PETSCSFALLGATHERV "allgatherv"
    #define PETSCSFALLGATHER  "allgather"
    #define PETSCSFGATHERV    "gatherv"
    #define PETSCSFGATHER     "gather"
    #define PETSCSFALLTOALL   "alltoall"
    #define PETSCSFWINDOW     "window"

### See Also

PetscSFSetType(), PetscSF

### Level

beginner

### Location

src/vec/is/sf/../../../../include/petscsf.h
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages